Subject: Re: linux-next: firmware tree build failure

From: David Woodhouse <[email-masked]>
Date: Tue, 14 Apr 2009 13:25:06 +0100

On Tue, 2009-04-14 at 14:12 +1000, Stephen Rothwell wrote: 
> Hi Dave,
> 
> Today's linux-next build (sparc64 defconfig) failed like this:
> 
> drivers/base/firmware_class.c: In function 'firmware_loading_store':
> drivers/base/firmware_class.c:173: error: 'PAGE_KERNEL_RO' undeclared (first use in this function)
> 
> Caused by commit 0bb1338d4467c143987560f841130292c124074c ("firmware:
> speed up request_firmware()").  PAGE_KERNEL_RO appears to not be defined
> for several architectures.
> 
> I have reverted that commit for today.

Ah, thanks. The fix for lack of PAGE_KERNEL_EXEC in vmalloc.c seems to
be:

#ifndef PAGE_KERNEL_EXEC
# define PAGE_KERNEL_EXEC PAGE_KERNEL
#endif

I think I'll do the equivalent for PAGE_KERNEL_RO, and at least we'll be
mapping the firmware images as read-only on _some_ architectures.

-- 
David Woodhouse                            Open Source Technology Centre
[email-masked]                              Intel Corporation